Merge multipath-tools from Debian unstable for kinetic

Bug #1971251 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
multipath-tools (Ubuntu)
New
Undecided
Bryce Harrington

Bug Description

Upstream: 0.8.9
Debian: 0.8.8-1
Ubuntu: 0.8.8-1ubuntu1

Debian typically updates multipath-tools every 3 months on average, but it was last updated 22.01 and looks overdue. Check back in on this monthly.

> # https://pad.lv/1961633 - +(Triaged) [multipath-tools] - Consider
> dropping d/p/kpartx-Improve-finding-loopback-devic…
>
> This bug is in our backlog and has not been touched in 60 days. I think we
> should consider this when merging multipath-tool during the KK cycle.

### New Debian Changes ###

multipath-tools (0.8.8-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * [74952ce] d/t/kpartx-file-loopback: silence gdisk warnings on stderr
  * [a3ad859] d/t/tgtbasedmpaths: Use stable wwn-* names in autopkgtest
  * [7a22711] d/t/tgtbasedmpaths: Add sleep to allow for device creation

  [ Ritesh Raj Sarraf ]
  * [9169942] Add some documentation about LVM + DM-Multipath setup.
    Thanks to Carlos Barros (Closes: 1001710)

  [ Chris Hofstaedtler ]
  * [7fcb8ba] New upstream version 0.8.8
  * [e63a379] Refresh patches
  * [4ab9ce2] Drop old dmsetup_env hack
    dmsetup long supports DM_NAME and DM_UUID, and the other variables
    are not used anymore.
  * [2cd669e] Avoid installing libmpathvalid.so until users appear

 -- Chris Hofstaedtler <email address hidden> Sun, 16 Jan 2022 22:57:28 +0000

multipath-tools (0.8.5-2) unstable; urgency=medium

  * [373f5c5] Fix bashism in script kpartx/kpartx_id.
    Thanks to Julien Cristau (Closes: #987669)

 -- Ritesh Raj Sarraf <email address hidden> Wed, 28 Apr 2021 22:40:55 +0530

multipath-tools (0.8.5-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [9e88f52] Add README.alua to docs section

  [ Christian Ehrhardt ]
  * [7860503] d/t/tgtbasedmpaths: reduce memory pressure avoiding OOM
    triggered false positives

  [ Chris Hofstaedtler ]
  * [859ade1] Update upstream git (and our debian/watch) URL
  * [bdc291a] New upstream version 0.8.5
  * [83060d2] Rebase patches
  * [cb467ba] multipath.rules: Avoid usrmerge paths (Closes: #973853)
  * [61df246] kpartx: update package description (Closes: #690995)
  * [3262269] Drop 0001-Blacklist-cciss-devices.patch.
    Upstream has switched to an exclusive list of devices by default.
    Only sd, dasd and nvme devices are seen by multipath now. This makes
    the cciss exclusion obsolete.
  * [602298a] Follow README.md rename
  * [2018daf] Remove obsolete override for lintian tag
    init.d-script-does-not-implement-optional-option

 -- Chris Hofstaedtler <email address hidden> Wed, 23 Dec 2020 23:53:53 +0000

multipath-tools (0.8.4-4) unstable; urgency=medium

  * [637efc8] Remove overly complicated INSTALL_PROGRAM setup.
    Thanks to Simon McVittie <email address hidden> (Closes: #968528)
  * [d793f77] kpartx, multipath-tools: remove pre-oldstable upgrade code
  * [aa2fab9] d/*: trim trailing whitespace
  * [1657612] multipath-tools, multipath-tools-boot: update lintian overrides
  * [825c1e2] debian/po/de.po: recode to UTF-8
  * [ce008ac] Allow (partial) parallel builds
  * [6383d2d] d/control: remove relationships satisfied in oldstable
  * [bf0e585] d/control: remove version constraints satisfied in oldstable
  * [67cff60] Declare debhelper compat version using debhelper-compat
  * [6992798] Apply to-be-upstream patch for parallel builds.
    Thanks to Christian Hesse <email address hidden>
  * [058d79f] Use to-be-upstream patch for json-c update

 -- Chris Hofstaedtler <email address hidden> Sun, 30 Aug 2020 01:14:10 +0000

multipath-tools (0.8.4-3) unstable; urgency=medium

  * [c8c0700] Fix build with newer json-c.
    Thanks to Gianfranco Costamagna <email address hidden> (Closes: #966597)

 -- Chris Hofstaedtler <email address hidden> Fri, 31 Jul 2020 09:31:38 +0000

multipath-tools (0.8.4-2) unstable; urgency=medium

  * [b270b02] Fix FTBFS with gcc-10 (Closes: #957568)

 -- Chris Hofstaedtler <email address hidden> Wed, 22 Jul 2020 22:23:13 +0000

multipath-tools (0.8.4-1) unstable; urgency=medium

  * [f4b2af2] kpartx: use correct path to partx in udev rule (Closes: #959727)
  * [30806f2] New upstream version 0.8.4 (Closes: #943383)
  * [ad742ee] Update patch 0009-hardened-build-flags

 -- Chris Hofstaedtler <email address hidden> Sun, 21 Jun 2020 16:23:30 +0000

multipath-tools (0.8.3-1) unstable; urgency=medium

  * [6b91b76] New upstream version 0.8.3
  * [bd42030] Refresh patches

 -- Ritesh Raj Sarraf <email address hidden> Wed, 08 Jan 2020 21:45:44 +0530

multipath-tools (0.7.9-3) unstable; urgency=medium

### Old Ubuntu Delta ###

multipath-tools (0.8.8-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946834, #1961136). Remaining changes:
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      + d/rules: do not install local-top anymore.
      + remove d/initramfs/local-top
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      + d/initramfs/hooks: install multipathd and required
        directories.
      + d/initramfs/hooks: copy multipath udev rules to initramfs
      + d/initramfs/hooks: do not copy kpartx rules to initramfs
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      + d/rules: install d/initramfs/local-bottom
      + d/rules: install d/initramfs/local-premount
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/initramfs/kpartx.hook
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
      + d/rules: Install kpartx initramfs hook
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - Don't build the multipath-tools binary package on i386; we only want
      kpartx.
  * Dropped changes:
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
      [ Included in 0.8.8-1 ]
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
      [ Included in 0.8.8-1 ]
    - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
      some more: since we stat() the loopback device node, we can't rely
      on S_ISREG() tests to handle this case, and should look at the
      device itself instead. (LP 1543430)
      [ Applied upstream in 0.8.6 ]
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
      [ Applied upstream in 0.8.7 ]
    - d/t/control: use allow-stderr for kpartx-file-loopback, the new
      gdisks version displays warnings on stderr now.
      [ Fixed in 0.8.8-1 ]
  * Added changes:
    - d/t/kpartx-file-loopback: silence kpartx messages to stderr
    - d/rules: remove -Bsymbolic-functions from LDFLAGS

 -- Athos Ribeiro <email address hidden> Mon, 21 Feb 2022 18:18:27 -0300

Bryce Harrington (bryce)
Changed in multipath-tools (Ubuntu):
milestone: none → ubuntu-22.06
status: New → Incomplete
Bryce Harrington (bryce)
Changed in multipath-tools (Ubuntu):
assignee: nobody → Bryce Harrington (bryce)
milestone: ubuntu-22.06 → ubuntu-22.07
Bryce Harrington (bryce)
description: updated
Revision history for this message
Bryce Harrington (bryce) wrote :

multipath-tools 0.9.0-4 0.8.8-1ubuntu1

Changed in multipath-tools (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce)
Changed in multipath-tools (Ubuntu):
milestone: ubuntu-22.07 → later
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers